QGIS Application - Bug report #21011
raster calculator in processing does not work with Aspect raster
2019-01-16 01:53 PM - Janneke van Dijk

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Processing/QGIS

Affected QGIS version:3.4.3 Regression?: No
Operating System: Windows 10 - 64 Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 28830
Description

Using the raster calculator in processing, using a simple expression (for example "Aspect@1" > 0) results in an invalid output raster. The
same expression with the same input works as expected using the raster calculator under Raster.

To reproduce:

1. Processing>raster terrain analysis>aspect, use srtm_41_19.tif for input, leave the rest default (this successfully creates aspect)
2. Processing>raster analysis>raster calculator, select the created aspect layer for input, use eg "Aspect@1" > 0

Result:

output file seems invalid, under information from provider is shows

STATISTICS_VALID_PERCENT=0

AREA_OR_POINT=Area

History

#1 - 2019-01-16 01:57 PM - Luigi Pirelli

thank you for the detailed issue report

#2 - 2019-01-18 08:45 AM - Alessandro Pasotti

- Assignee changed from Luigi Pirelli to Alessandro Pasotti

#3 - 2019-01-24 04:29 PM - Alessandro Pasotti

- Resolution set to worksforme

- Status changed from Open to Feedback

| cannot reproduce on master, can you try on latest master?

Btw, some steps are missing between 1 and 2: unless you select "Reference layers” (or set all parameters) the algorithm a point 2 will fail.

#4 - 2019-01-25 08:44 AM - Janneke van Dijk

Indeed, downloaded the nightly on Windows and now it works as expected...| guess it is advisable to test potential bugs on master before submitting a bug
report :-). Glad it works!

#5 - 2019-01-25 12:40 PM - Giovanni Manghi
- Status changed from Feedback to Closed
Files

srtm_41_19.tif 1.06 MB 2019-01-16 Janneke van Dijk
